spice-gtk-devel-0.26-8.el6.i686.rpm


Advertisement

Description

spice-gtk-devel - Development files to build GTK2 applications with spice-gtk-2.0

Property Value
Distribution CentOS 6
Repository CentOS i386
Package filename spice-gtk-devel-0.26-8.el6.i686.rpm
Package name spice-gtk-devel
Package version 0.26
Package release 8.el6
Package architecture i686
Package type rpm
Category Development/Libraries
Homepage http://spice-space.org/page/Spice-Gtk
License LGPLv2+
Maintainer -
Download size 19.28 KB
Installed size 10.99 KB
spice-client-gtk-2.0 provides a SPICE viewer widget for GTK2.
Libraries, includes, etc. to compile with the spice-gtk2 libraries

Alternatives

Package Version Architecture Repository
spice-gtk-devel-0.26-8.el6_10.1.x86_64.rpm 0.26 x86_64 CentOS Updates
spice-gtk-devel-0.26-8.el6_10.1.i686.rpm 0.26 i686 CentOS Updates
spice-gtk-devel-0.26-8.el6_10.1.i686.rpm 0.26 i686 CentOS Updates
spice-gtk-devel-0.26-8.el6.x86_64.rpm 0.26 x86_64 CentOS
spice-gtk-devel-0.26-8.el6.i686.rpm 0.26 i686 CentOS
spice-gtk-devel - - -

Requires

Name Value
/usr/bin/pkg-config -
gtk2-devel -
libspice-client-gtk-2.0.so.4 -
pkgconfig -
pkgconfig(gtk+-2.0) >= 2.18.0
pkgconfig(spice-client-glib-2.0) -
spice-glib-devel(x86-32) = 0.26-8.el6
spice-gtk(x86-32) = 0.26-8.el6

Provides

Name Value
pkgconfig(spice-client-gtk-2.0) = 0.26
spice-gtk-devel = 0.26-8.el6
spice-gtk-devel(x86-32) = 0.26-8.el6

Download

Type URL
Mirror mirror.centos.org
Binary Package spice-gtk-devel-0.26-8.el6.i686.rpm
Source Package spice-gtk-0.26-8.el6.src.rpm

Install Howto

Install spice-gtk-devel rpm package:

# yum install spice-gtk-devel

Files

Path
/usr/include/spice-client-gtk-2.0/spice-grabsequence.h
/usr/include/spice-client-gtk-2.0/spice-gtk-session.h
/usr/include/spice-client-gtk-2.0/spice-widget-enums.h
/usr/include/spice-client-gtk-2.0/spice-widget.h
/usr/include/spice-client-gtk-2.0/usb-device-widget.h
/usr/lib/libspice-client-gtk-2.0.so
/usr/lib/pkgconfig/spice-client-gtk-2.0.pc

Changelog

2016-09-06 - Pavel Grunt <pgrunt@redhat.com> 0.26-8
- Make grab session related
Resolves: rhbz#1330652
- Improve messages in usb redirection dialog
Resolves: rhbz#1298772
- Use proxy only when needed
Resolves: rhbz#1306311
2015-12-18 - Fabiano FidĂȘncio <fidencio@redhat.com> 0.26-7
- Bump usbredir dep to 0.5.1-3
Resolves: rhbz#1291159
Related: rhbz#1276707
2015-12-11 - Fabiano FidĂȘncio <fidencio@redhat.com> 0.26-6
- Fix coverity warning
Related: rhbz#1242605
2015-12-08 - Fabiano FidĂȘncio <fidencio@redhat.com> 0.26-5
- Connecting to VM changes its resolution
Resolves: rhbz#1242605
- Cannot enable display 1 when it was disabled in previous session
Resolves: rhbz#1247920
- Windows needs to send complete monitors_config message to client
Resolves: rhbz#1265361
- Add Client capability for windows monitor_config messsage
Resolves: rhbz#1265359
- High Resolution Multi-Monitor Windows Guest freeze
Resolves: rhbz#1247749
- Drop isoc packages on low bandwith
Resolves: rhbz#1276707
2015-04-10 - Christophe Fergeau <cfergeau@redhat.com> 0.26-4
- Fix smartcard issues after VM restart (virsh destroy/virsh start)
Resolves: rhbz#1205171
- Remove obsolete patches
Related: rhbz#1185434
2015-02-27 - Christophe Fergeau <cfergeau@redhat.com> 0.26-3
- Add -Wl,-z,now as well to the link flags.  This flag was present in
1002-gtk-Makefile.am-add-PIE-flags-to-libspice-client-gli.patch, and
pkgwrangler still complains about:
File /usr/lib/libspice-client-glib-2.0.so.8.5.0 lost GNU_RELRO security
protection on i686
Related: rhbz#1185434
2015-02-26 - Christophe Fergeau <cfergeau@redhat.com> 0.26-2
- Add -Wl,-z,relro to the linker flags in order to fix a rpmdiff
error. These flags used to be provided indirectly by openssl, and after
openssl stopped exporting them, they were added by
1002-gtk-Makefile.am-add-PIE-flags-to-libspice-client-gli.patch
which was dropped during the rebase
Related: rhbz#1185434
2015-02-16 - Jonathon Jongsma <jjongsma@redhat.com> - 0.26-1
- Rebase to 0.26 release
Resolves: rhbz#1185434
2014-06-19 - Christophe Fergeau <cfergeau@redhat.com> 0.22-7
- Cherry-pick important fixes which were made after spice-gtk 0.22
Related: rhbz#1097338
2014-06-18 - Marc-Andre Lureau <marcandre.lureau@redhat.com> - 0.22-6
- Bump glib requirement. Resolves: rhbz#1097338

See Also

Package Description
spice-gtk-python-0.26-8.el6.i686.rpm Python bindings for the spice-gtk-2.0 library
spice-gtk-tools-0.26-8.el6.i686.rpm Spice-gtk tools
spice-protocol-0.12.6-1.el6.noarch.rpm Spice protocol header files
spice-vdagent-0.14.0-13.el6.i686.rpm Agent for Spice guests
spice-xpi-2.7-27.el6.i686.rpm SPICE extension for Mozilla
sqlite-3.6.20-1.el6_7.2.i686.rpm Library that implements an embeddable SQL database engine
sqlite-devel-3.6.20-1.el6_7.2.i686.rpm Development tools for the sqlite3 embeddable SQL database engine
sqlite-doc-3.6.20-1.el6_7.2.i686.rpm Documentation for sqlite
sqlite-tcl-3.6.20-1.el6_7.2.i686.rpm Tcl module for the sqlite3 embeddable SQL database engine
squashfs-tools-4.0-5.el6.i686.rpm Utility for the creation of squashfs filesystems
squid-3.1.23-24.el6.i686.rpm The Squid proxy caching server
squid34-3.4.14-15.el6.i686.rpm The Squid proxy caching server
srptools-1.0.3-2.el6.i686.rpm Tools for using the InfiniBand SRP protocol devices
sssd-1.13.3-60.el6.i686.rpm System Security Services Daemon
sssd-ad-1.13.3-60.el6.i686.rpm The AD back end of the SSSD
Advertisement
Advertisement